# Uses of Class
javax.imageio.IIOException

Packages that use IIOException
Package
Description
javax.imageio
The main package of the Java Image I/O API.
javax.imageio.metadata
A package of the Java Image I/O API dealing with reading and writing metadata.

## Uses of IIOException in javax.imageio

Methods in javax.imageio that throw IIOException
Modifier and Type
Method
Description
`protected static BufferedImage`
ImageReader.`getDestination(ImageReadParam param, Iterator<ImageTypeSpecifier> imageTypes, int width, int height)`
Returns the `BufferedImage` to which decoded pixel data should be written.

## Uses of IIOException in javax.imageio.metadata

Subclasses of IIOException in javax.imageio.metadata
Modifier and Type
Class
Description
`class`
`IIOInvalidTreeException`
An `IIOInvalidTreeException` is thrown when an attempt by an `IIOMetadata` object to parse a tree of `IIOMetadataNode`s fails.